rem yaneSDK4Dのフォルダを全部列挙
direnum.exe src/yaneSDK4D/ dmake_optlist.txt

rem 検索コンパイルする対象ファイル :
direnum.exe src/kyojintati4d/ temp.txt
Type temp.txt >> dmake_optlist.txt

rem 検索コンパイルする対象ファイル :
direnum.exe src/yamalib/ temp.txt
Type temp.txt >> dmake_optlist.txt

rem 手動で追加コンパイルする対象ファイル :
rem echo dtmpl\reflection.d dtmpl\dom.d dtmpl\jcode.d >> dmake_optlist.txt
echo src/dtmpl/dom.d >> dmake_optlist.txt

rem リソースファイル
echo kyojintachi4d.res >> dmake_optlist.txt

rem -------- コンパイルオプション
rem リリース時はこちら↓
echo -inline -O -release windows.def >> dmake_optlist.txt
rem デバッグ時はこちら↓
rem echo -debug -g -debug -unittest >> dmake_optlist.txt

rem -------- 以下は、必要ならいじるべし

rem SDLのうち、単純なヘッダでないものはここで指定。
echo src\SDL\SDL_image.d src\SDL\SDL_mixer.d src\SDL\SDL_ttf.d src\SDL\SDL_smpeg.d src\SDL\SDL_net.d >> dmake_optlist.txt

rem SDLのlibファイルはここで指定
echo import\SDL_net.lib import\smpeg.lib import\sdl.lib import\sdl_mixer.lib import\sdL_image.lib import\sdl_ttf.lib import\opengl32.lib import\glu32.lib >> dmake_optlist.txt

rem importするフォルダを指定
echo -IyaneSDK4D;src\SDL >> dmake_optlist.txt

rem objファイルを生成するフォルダを指定 : "obj"フォルダだと仮定。
echo -odobj >> dmake_optlist.txt

rem コンパイル
dmd\bin\dmd.exe @dmake_optlist.txt

rem 一時オプションファイルの削除
rem dmake_optlist.txt /S
del temp.txt

rem dmdで生成した実行ファイルをWin32に変更する
conv3d.exe y4d.exe
ren y4d.exe KYOJINTACHI2.exe
move KYOJINTACHI2.exe bin
